<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Teilnehmer\AbmeldenDialog;

use Kufer\Web\Classes\ExportAdapter\ExpAdditionalVariables;


class KursRowView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'mitarbeiter/kursuebersicht/detailsreiter/belegtekursrow.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->belegung);
  }

  protected function getDefaultExportAdapter()
  {
    return new ExpAdditionalVariables(new \ExportBelegung(), array(
      'is_header' => $this->viewModel->isHeader
    ));
  }
}